# -*- coding: utf-8 -*-

# mapWOC
#
# Description: Database Integrity checks.
#
# Authors:
# Felix Wolfsteller <felix.wolfsteller@intevation.de>
#
# Copyright:
# Copyright (C) 2011 Bundesamt für Sicherheit in der Informationstechnik
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

import mapwoc.lib.model

def check_db_integrity(dbpath):
    """Open a database and check whether the contained data is integer."""
    return False

def check_quickscan_exists(session):
    quickscan = session.query(ScanConfiguration).filter_by(name = "QuickScan").first()
    return not (not quickscan)

def check_resulttypes_exist(session):
    return False

def check_no_open_scanruns(session):
    return False
