<%inherit file="../base.mako"/>
<%def name="title()">${_(u"Start timed Scan")}</%def>

<%def name="scan_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box" />
<%namespace file="../base.mako" import="hcsid_link_to_hcsid" />
<%namespace file="../base.mako" import="name_link_to_node" />

<%self:box title='${_(u"Configure timed Scan")}'>
 ${h.form(h.url_for(controller='scan', action='start_timed'))}

 <h3>${_(u"URLs")}*</h3>
  ${h.field(h.select('urllist',
                     id='urllist',
                     selected_values=[],
                     options=sorted(c.available_urllists, key=lambda x: x[1],
                        cmp=lambda x,y: cmp(x.lower(), y.lower())),
                     multiple=True,
                     size=10))}
 <br/>

 <h3>${_(u"HoneyClients")}*</h3>
  <table class="mw_table" style="width:100%;">
   <tr>
     <th>${_(u"Select")}</th>
     <th>${_(u"Name")}</th>
     <th>${_(u"ID")}</th>
     <th>${_(u"Description")}</th>
     <th>${_(u"SSID")}</th>
     <th>${_(u"On Node")}</th>
   </tr>
   <% c.hcs = sorted(c.hcs, key=lambda hc: hc.name)  %>
   %for hc in c.hcs:
    %for node in hc.on_nodes:
    <tr>
      <td>${h.checkbox("hc%s,%s" % (hc.hcsid, node),
                     id="hc%s,%s" % (hc.hcsid, node),
                     )}</td>
      <td>${hc.name}</td>
      <td>${hcsid_link_to_hcsid(hc.hcsid)}</td>
      <td>${hc.description}</td>
      <td>${hc.ssid}</td>
      <td>${name_link_to_node(node)}</td>
    </tr>
    %endfor
   %endfor
  </table>

 <h3>${_(u"Options")}</h3>
 <table>
  <tr>
    <td class="label">${_(u"Time frame")}:</td>
    <td>${h.select('time_frame',id='time_frame',selected_values=[300],options=[60,180,300,600,1200])} ${_(u"sec.")}
    </td>
  </tr>
  <tr>
   <td><br/>${h.submit(name="button", value=_(u"Start Scan"))}</td>
   <td></td>
  </tr>
 </table>
 ${h.end_form()}
</%self:box>

